curl https://api.thanxsandbox.com/points_experiences/:id \
-X GET \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
{
"points_experience": {
"id": "590485d6f0",
"merchant_id": "woeri34",
"name": "Merchant Points",
"currency": {
"name": "Star",
"plural": "Stars",
"description": "Collect 1 star for every 1 dollar spent",
"conversion": 1.0
},
"images": {
"earn": {
"small": "https://...png",
"default": "https://...png",
"large": "https://...png"
},
"currency_primary": {
"small": "https://...png",
"medium": "https://...png",
"default": "https://...png",
"large": "https://...png"
},
"currency_secondary": {
"small": "https://...png",
"medium": "https://...png",
"default": "https://...png",
"large": "https://...png"
}
}
}
}
Points
Get Points Experience
This endpoint returns a single points experience specified by ID.
GET
/
points_experiences
/
:id
curl https://api.thanxsandbox.com/points_experiences/:id \
-X GET \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
{
"points_experience": {
"id": "590485d6f0",
"merchant_id": "woeri34",
"name": "Merchant Points",
"currency": {
"name": "Star",
"plural": "Stars",
"description": "Collect 1 star for every 1 dollar spent",
"conversion": 1.0
},
"images": {
"earn": {
"small": "https://...png",
"default": "https://...png",
"large": "https://...png"
},
"currency_primary": {
"small": "https://...png",
"medium": "https://...png",
"default": "https://...png",
"large": "https://...png"
},
"currency_secondary": {
"small": "https://...png",
"medium": "https://...png",
"default": "https://...png",
"large": "https://...png"
}
}
}
}
Please review proper request headers here.
Parameters
string
required
The ID of the points experience
Response
string
The ID of the points experience
string
The ID of the merchant
string
The name of the points experience
hash
hash
Show images
Show images
hash
hash
Primary points currency icon
Show currency_primary
Show currency_primary
hash
Primary points currency icon
Show currency_secondary
Show currency_secondary
curl https://api.thanxsandbox.com/points_experiences/:id \
-X GET \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
{
"points_experience": {
"id": "590485d6f0",
"merchant_id": "woeri34",
"name": "Merchant Points",
"currency": {
"name": "Star",
"plural": "Stars",
"description": "Collect 1 star for every 1 dollar spent",
"conversion": 1.0
},
"images": {
"earn": {
"small": "https://...png",
"default": "https://...png",
"large": "https://...png"
},
"currency_primary": {
"small": "https://...png",
"medium": "https://...png",
"default": "https://...png",
"large": "https://...png"
},
"currency_secondary": {
"small": "https://...png",
"medium": "https://...png",
"default": "https://...png",
"large": "https://...png"
}
}
}
}
⌘I